Summary: Endian Firewall efw-clamav package
Name: efw-clamav
Version: 1.1.19
Release: 0.endian0
License: GPL 
Group: System Environment/Base
Requires: clamav >= 0.93
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: %{name}-%{version}.tar.gz
PreReq: grep
Requires: debianutils
Provides: perl(.::endianclamav.pl)

%description
Endian Firewall efw-clamav package

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT

%files
%defattr(-,nobody,nobody,0755)
%dir /var/efw/clamav

%defattr(-,root,root,0755)
%config /etc/clamav/clamd.conf.tmpl
%config /etc/clamav/freshclam.conf.tmpl
%config /var/efw/clamav/default/settings
/usr/lib/clamav/freshclam.cron
/var/efw/langs/de/efw-clamav.pl
/var/efw/langs/en/efw-clamav.pl
/var/efw/langs/it/efw-clamav.pl

/usr/local/bin/restartclamav.py
/usr/local/bin/restartfreshclam.py
%attr(0755,root,root)/usr/local/bin/restartclamav
%attr(0755,root,root)/usr/local/bin/restartfreshclam
%dir /etc/clamav/update.d/
/home/httpd/cgi-bin/logs.cgi/clamav.cgi
/home/httpd/cgi-bin/clamav.cgi
/home/httpd/cgi-bin/endianclamav.pl
/home/httpd/cgi-bin/menu-clamav.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
grep -qEe "/usr/local/bin/restartclamav\.py" /etc/sudoers || \
echo "nobody  ALL=NOPASSWD: /usr/local/bin/restartclamav.py" >> /etc/sudoers

grep -qEe "/usr/local/bin/restartfreshclam\.py" /etc/sudoers || \
echo "nobody  ALL=NOPASSWD: /usr/local/bin/restartfreshclam.py" >> /etc/sudoers

killall freshclam 2>/dev/null
test -x /usr/local/bin/restartclamav.py && /usr/local/bin/restartclamav.py 2>/dev/null >/dev/null
exit 0


%changelog
* Sat Apr 19 2008 Mike Tremaine <mgt@stellarcore.net>
- updated for 0.93 clamd and freshclam changes

* Sun Mar 04 2007 Mike Tremaine <mgt@stellarcore.net>
- updated for 0.90 clamd and freshclam changes

* Thu Jun 22 2006 Peter Warasin <peter@endian.it>
- moved templates out of /var/efw and
- put them always in the same directory where the real configuration
  file resides
- templates now always have .tmpl as file extension

* Mon Jun 19 2006 Peter Warasin <peter@endian.it>
- added clamav.cgi and restartfreshclam.py

* Mon Nov 21 2005 Peter Warasin <peter@endian.it> 1.1.5
- adds update.d freshclam notify hook
- freshclam now runs via cron
- freshclam now loggs via syslog

* Mon Apr 26 2005 Raphael Vallazza <raphael@endian.it> 1.1.1
- New upstream version with fixed restartclamav default settings

* Mon Apr 18 2005 Peter Warasin <peter@endian.it> 1.1
- copied from efw-antivirus

